from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XDocumentMetadataAccess(Protocol):
    def getElementByMetadataReference(self, MetadataReference: StringPair) -> XMetadatable: ...
